import '../entities/certificate.dart';
import '../repositories/certificate_repository.dart';
import '../../core/result.dart';

class GetCertificatesUsecase {
  final CertificateRepository repository;

  GetCertificatesUsecase(this.repository);

  Future<Result<List<Certificate>>> call() async {
    return await repository.getCertificates();
  }
}
